User review

The user review is an individual review by a person. All the reviews together will result in an average score.

Fields

field

type

constraints

default

Req

W

U

name

string

no

no

no

place

string

no

no

no

date

date

no

no

no

reason

string

no

no

no

content

string

no

no

no

overallScore

number (float)

no

no

no

subScores

array(object)

no

no

no

subScores.description

string

no

no

no

subScores.score

number (float)

no

no

no

name

The name of the reviewer

place

The place of the reviewer

date

The date of the review

reason

The reason why the review was written

content

The actual textual content of the review. This generally contains a detailed description of the experience of the reviewer.

overallScore

The overall score given by the reviewer

subScores

The subscores for the various parts on which a user can get individual scores.

subScores.description

The description of the subscore

subScores.score

The score of an individual item on which the user get rated

Examples

Retrieving the reviews for a user:

Request:

GET /v2/users/1/reviews HTTP/1.1
Host: api.marktplaats.nl

Response

   HTTP/1.1 200 OK
   Content-Type: application/json

   {
       "_links": {
       "self": {
           "href":"/v2/users/1/reviews"
       },
       "describedby": {
           "href":"https://api.marktplaats.nl/docs/v2/user-reviews.html"
       },
   },
   "_embedded": {
       "mp:user-review":[
           {
               "platform":"klantenvertellen",
               "name":"Vrouw",
               "place":"Bilthoven",
               "date":"2014-0-12",
               "reason":"Evaluatie aanschaf gebruikte auto/occasion",
               "overallScore": 8,
               "content":"De autoverkoper was erg behulpzaam"
               "subScores":[
                   {
                       "description":"klantgerichtheid",
                       "score": 8.2
                   },
                   {
                       "description":"nazorg",
                       "score":9.1
                   }
               ]
           }
       ]
   }
   "numberOfReviews": 10
   "averageScore": 5.8
   "averageSubScores": [
       {
           "description":"klantgerichtheid",
           "score": 8.2
       },
       {
           "description":"nazorg",
           "score": 9.1
       }
   ]

}